var reportsModal = document.getElementById('reports-modal');
reportsModal.addEventListener('show.bs.modal', function (event) {
    var button = event.relatedTarget;
    var id = button.getAttribute('data-id');
    var reportButtons = reportsModal.querySelectorAll('[data-id]');
    reportButtons.forEach((btn) => {
        btn.setAttribute("data-id", id);
    });
});